[CRIU] [PATCH 2/2] tests: prevent zdtm_mount_cgroups from failing w/ EBUSY
Tycho Andersen
tycho.andersen at canonical.com
Mon Feb 1 14:56:41 PST 2016
Sometimes I get:
sudo ./zdtm.py run -t zdtm/live/static/cgroup03
umount: /home/tycho/packages/criu/test/zdtm.qPwsoO: target is busy
(In some cases useful info about processes that
use the device is found by lsof(8) or fuser(1).)
Traceback (most recent call last):
File "./zdtm.py", line 1401, in <module>
tst.available()
File "./zdtm.py", line 435, in available
subprocess.check_call(["flock", "zdtm_mount_cgroups", "./zdtm_mount_cgroups"])
File "/usr/lib/python2.7/subprocess.py", line 540, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['flock', 'zdtm_mount_cgroups', './zdtm_mount_cgroups']' returned non-zero exit status 1
let's use a lazy unmount so we avoid this.
Signed-off-by: Tycho Andersen <tycho.andersen at canonical.com>
---
test/zdtm_mount_cgroups | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/test/zdtm_mount_cgroups b/test/zdtm_mount_cgroups
index d7bc142..34e0e85 100755
--- a/test/zdtm_mount_cgroups
+++ b/test/zdtm_mount_cgroups
@@ -11,6 +11,6 @@ for i in "zdtmtst" "zdtmtst.defaultroot"; do
mount -t cgroup -o none,name=$i zdtm $tdir &&
# a fake group prevents destroying of a controller
mkdir -p $tdir/holder &&
- umount $tdir || exit 1
+ umount -l $tdir || exit 1
done
rmdir $tdir
--
2.5.0
More information about the CRIU
mailing list